# Uses of Class
org.snpsift.lang.expression.Field

Packages that use Field
Package
Description
org.snpsift.lang
org.snpsift.lang.expression

## Uses of Field in org.snpsift.lang

Methods in org.snpsift.lang that return Field
Modifier and Type
Method
Description
`Field`
LangFactory.`fieldFactory(org.antlr.v4.runtime.tree.ParseTree tree)`
Create 'Expression' from Tree

## Uses of Field in org.snpsift.lang.expression

Subclasses of Field in org.snpsift.lang.expression
Modifier and Type
Class
Description
`class`
`FieldConstant`
A 'constant' field: e.g.
`class`
`FieldConstantFloat`
A 'constant' field: e.g.
`class`
`FieldEff`
An 'EFF' field form SnpEff: E.g.: 'EFF[2].GENE'
`class`
`FieldGenotype`
A field: E.g.: 'GEN[2].GT'
`class`
`FieldGenotypeSub`
A field: E.g.: 'GEN[2].PL[3]'
`class`
`FieldLof`
A LOF field form SnpEff: E.g.: 'LOF[2].GENE'
`class`
`FieldNmd`
A NMD field form SnpEff: E.g.: 'NMD[2].GENE'
`class`
`FieldSub`
A field that has sub fields (e.g.
Methods in org.snpsift.lang.expression that return Field
Modifier and Type
Method
Description
`static Field`
FieldConstant.`factory(String name)`
Create fields from constant names